package com.nifty.cloud.ncs.service;

/**
 * アップロードしたパートのETag情報を保持するクラスです。
 *
 */
public class PartETag
{
	private int partNumber;
	private String eTag;

	/**
	 * パート番号、ETagを指定してPartETagを構築します。
	 *
	 * @param partNumber
	 *  パート番号
	 * @param eTag
	 *  パートのETag
	 */
	public PartETag(int partNumber, String eTag)
	{
		super();
		this.partNumber = partNumber;
		this.eTag = eTag;
	}

	/**
	 * パート番号を取得します。
	 *
	 * @return パート番号
	 */
	public int getPartNumber()
	{
		return (partNumber);
	}

	/**
	 * パート番号を設定します。
	 *
	 * @param partNumber
	 *  パート番号
	 */
	public void setPartNumber(int partNumber)
	{
		this.partNumber = partNumber;
	}

	/**
	 * パートのETagを取得します。
	 *
	 * @return パートのETag
	 */
	public String getETag()
	{
		return (eTag);
	}

	/**
	 * パートのETagを設定します。
	 *
	 * @param eTag
	 *  パートのETag
	 */
	public void setETag(String eTag)
	{
		this.eTag = eTag;
	}
}
